package com.zh.test_zabbix.controller;


import com.zh.test_zabbix.service.IHostItems;
import com.zh.test_zabbix.serviceImpl.HostItemsImpl;
import com.zh.test_zabbix.utils.result.Result;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.validation.annotation.Validated;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;


@RestController
@RequestMapping("/hostItem")
public class HostItem {

    @Autowired
    private IHostItems hostItemsService;

    @RequestMapping("/info")
    public Result info(@Validated @RequestBody HostItemsImpl.argInfo args) {
        return hostItemsService.info(args);
    }

    @RequestMapping("history")
    public Result history(@RequestBody HostItemsImpl.argHistory args){
        return hostItemsService.hostItemHistory(args);
    }
}
