package com.zh.test_zabbix.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.zh.test_zabbix.model.ValuemapMapping;
import org.apache.ibatis.annotations.Param;
import org.apache.ibatis.annotations.Select;

import java.util.ArrayList;

/**
 * <p>
 *  Mapper 接口
 * </p>
 *
 * @author zh
 * @since 2023-10-24
 */
public interface ValuemapMappingMapper extends BaseMapper<ValuemapMapping> {

    @Select("<script> " +
            "INSERT INTO valuemap_mapping (valuemap_mappingid,type,valuemapid,value,newvalue,sortorder) VALUES " +
            "<foreach collection='valuemapMappings' item='item'  separator=',' >" +
            "(#{item.valuemap_mappingid},#{item.type},#{item.valuemapid},#{item.value},#{item.newvalue},#{item.sortorder})" +
            "</foreach>" +
            "</script> ")
    Boolean save(@Param("valuemapMappings") ArrayList<ValuemapMapping> valuemapMappings);

}
