package com.zh.test_zabbix.model;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import com.zh.test_zabbix.mapper.res.ResGraphHostItems;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.util.List;

/**
 * <p>
 * 
 * </p>
 *
 * @author zh
 * @since 2023-11-13
 */
@Data
@EqualsAndHashCode(callSuper = true)
@Accessors(chain = true)
public class Graphs extends Model {

    private static final long serialVersionUID = 1L;

    private Long graphid;

    private String name;

    private Integer width;

    private Integer height;

    private Double yaxismin;

    private Double yaxismax;

    private Long templateid;

    private Integer show_work_period;

    private Integer show_triggers;

    private Integer graphtype;

    private Integer show_legend;

    private Integer show_3d;

    private Double percent_left;

    private Double percent_right;

    private Integer ymin_type;

    private Integer ymax_type;

    private Long ymin_itemid;

    private Long ymax_itemid;

    private Integer flags;

    private Integer discover;

    private String uuid;

    @TableField(exist = false)
    private List<ResGraphHostItems> items;

    @TableField(exist = false)
    private Long parent_hostid;

    @TableField(exist = false)
    private String parent_host_name;

    @TableField(exist = false)
    private Long parent_itemid;

    @TableField(exist = false)
    private String parent_item_name;

    @TableField(exist = false)
    private Long item_discovery_itemid;

    @TableField(exist = false)
    private String item_discovery_name;

}
