package com.zh.test_zabbix.model;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * <p>
 *
 * </p>
 *
 * @author zh
 * @since 2023-10-16
 */
@Data
@EqualsAndHashCode(callSuper = true)
@Accessors(chain = true)
public class Hosts extends Model {

    private static final long serialVersionUID = 1L;

    private Long hostid;

    private Long proxy_hostid;

    private String host;

    private Integer status;

    private Integer ipmi_authtype;

    private Integer ipmi_privilege;

    private String ipmi_username;

    private String ipmi_password;

    private Long maintenanceid;

    private Integer maintenance_status;

    private Integer maintenance_type;

    private Integer maintenance_from;

    private String name;

    private Integer flags;

    private Long templateid;

    private String description;

    private Integer tls_connect;

    private Integer tls_accept;

    private String tls_issuer;

    private String tls_subject;

    private String tls_psk_identity;

    private String tls_psk;

    private String proxy_address;

    private Integer auto_compress;

    private Integer discover;

    private Integer custom_interfaces;

    private String uuid;

    private String name_upper;

    private String vendor_name;

    private String vendor_version;

    private Long collectionid;
    @TableField(exist = false)
    private String collection_name;

    private Long categoryid;
    @TableField(exist = false)
    private String category_name;

    @TableField(exist = false)
    private Integer available;
    @TableField(exist = false)
    Object interfaces;
    @TableField(exist = false)
    Object valuemaps;
    @TableField(exist = false)
    Object tags;
    @TableField(exist = false)
    Object groups;
    @TableField(exist = false)
    Object templates;
    @TableField(exist = false)
    Object parentTemplates;
    @TableField(exist = false)
    Object macros;
    @TableField(exist = false)
    Object items;
    @TableField(exist = false)
    Object dashboards;
    @TableField(exist = false)
    Object triggers;
    @TableField(exist = false)
    Object problems;
    @TableField(exist = false)
    Object discoveries;
    @TableField(exist = false)
    Object graphs;

}
