package com.zh.test_zabbix.model;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import com.baomidou.mybatisplus.annotation.TableId;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * <p>
 * 
 * </p>
 *
 * @author zh
 * @since 2023-11-09
 */
@Data
@EqualsAndHashCode(callSuper = true)
@Accessors(chain = true)
public class MsCustomItems extends Model {

    private static final long serialVersionUID = 1L;

    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    /**
     * 采集项名称
     */
    private String name;

    /**
     * 采集项key值，唯一
     */
    private String key_;

    /**
     * 描述
     */
    private String description;

    private Integer type;

    /**
     * 0可用 1不可用
     */
    private Integer status;

    /**
    * 1有参数 2无参数
    */
    private Integer kind;

    /**
     * 0不查询历史记录 1查询最近一条历史 2查询历史记录
     */
    private Integer history;
}
