package com.zh.test_zabbix.model.zabbixModel.host;


import lombok.Data;

@Data
public class ApiHostGroup {

    /* (只读) 主机组ID。 */
    String groupid;

    /* (必填)主机组的名称。 */
    String name;

    /* (只读) 主机组的来源。
    取值范围:
    0—普通主机组;
    4—自动发现的主机组。 */
    Integer flags;

    /* (只读) 组是否被系统内部使用。内部组不能被删除。
    取值范围:
    0 - (默认值) 非内部;
    1 - 内部。 */
    Integer internal;

    /* 统一唯一标识符，用于将导入的主机组与已经存在的主机组连接。如果没有给出将自动生成。
    对于更新操作，此字段为 只读。 */
    String uuid;
}
