package com.zh.test_zabbix.script;

import ch.ethz.ssh2.ChannelCondition;
import ch.ethz.ssh2.Connection;
import ch.ethz.ssh2.Session;
import ch.ethz.ssh2.StreamGobbler;

import java.io.BufferedReader;
import java.io.IOException;
import java.io.InputStream;
import java.io.InputStreamReader;
import java.util.ArrayList;
import java.util.List;

public class Test {
    public static void main(String[] args) {
        String hostname = "121.41.171.43";
        String username = "root";
        String password = "zhang123.";
        String targetIp = "192.168.230.21";
        Connection connection = null;

        Boolean scp = LinuxUtil.scp(hostname, username, password);
        if(!scp){
            System.out.println("scp fail");
        }

//首先构造一个连接器，传入一个需要登陆的ip地址
        try {
            connection = new Connection(hostname, 22);
            //连接
            connection.connect();
            //身份验证
            boolean isAuthenticated = connection.authenticateWithPassword(username, password);
            if (isAuthenticated) {
                System.out.println("connect success");

                Session session = null;
                try {
                    //开启openSession
                    session = connection.openSession();

                    //把命令写入脚本，在执行该脚本
                    session.execCommand("tar -xf /data/zh/zabbix_linux_agent.tar.gz  -C /data/zh ; bash /data/zh/zabbix_linux_agent/install_zabbix_linux_agent.sh install "+targetIp);
                    session.waitForCondition(ChannelCondition.CLOSED | ChannelCondition.EOF | ChannelCondition.EXIT_STATUS, 1000 * 3600);
// 获得标准输出流
                    InputStream is = new StreamGobbler(session.getStdout());
                    BufferedReader brs = new BufferedReader(new InputStreamReader(is, "UTF-8"));
                    List<String> result = new ArrayList<>();
                    for (String line = brs.readLine(); line != null; line = brs.readLine()) {
                        result.add(line);
                        System.out.println(line);
                    }
                    if (result.size() == 0) {
                        System.out.println(result);
                    }

                } catch (Exception e) {
                    e.printStackTrace();
                } finally {
                    session.close();
                }


            }

        } catch (IOException e) {
            e.printStackTrace();
        }
    }
}
