package com.zh.test_zabbix.service;

import com.alibaba.fastjson.JSONObject;
import com.baomidou.mybatisplus.extension.service.IService;
import com.zh.test_zabbix.model.HostsGroups;
import com.zh.test_zabbix.serviceImpl.HostsGroupsServiceImpl;
import com.zh.test_zabbix.utils.result.Result;

/**
 * <p>
 *  服务类
 * </p>
 *
 * @author zh
 * @since 2023-11-14
 */
public interface IHostsGroupsService extends IService<HostsGroups> {
    Result<JSONObject> get(HostsGroupsServiceImpl.ArgGet args);
    Result<JSONObject> create(HostsGroupsServiceImpl.ArgCreate args);
    Result<JSONObject> delete(HostsGroupsServiceImpl.ArgDelete args);
    Result<JSONObject> update(HostsGroupsServiceImpl.ArgUpdate args);
}
