package com.zh.test_zabbix.config;

public class Config {

    public static final int LIMIT = 10;
    public static final int PAGE_SIZE = 20;
    public static final String AUTH = "629d253f581c2a07961eef7b884af752";

    public static final String ZABBIX_AGENT_FILE = "C:\\Users\\Administration\\Desktop\\zabbix_linux_agent.tar.gz";
    public static final String ZABBIX_AGENT_FILE_LOCATION = "/data/zh/zabbix_linux_agent.tar.gz";

    public static final String CUSTOM_PARAM = "MacroSan";
    public static final String MS_RESULT = "MacroSan";  // 自定义response数据来源

    public static final int
            CUSTOM_ITEM_STATUS_ENABLE = 0,
            CUSTOM_ITEM_STATUS_DISABLE = 1;

    public static final int
            CUSTOM_ITEM_KIND_NORMAL = 1,
            CUSTOM_ITEM_KIND_WITHARGS = 2;

    public static final int
            CUSTOM_ITEM_HISTORY_FALSE = 0,
            CUSTOM_ITEM_HISTORY_LATEST = 1,
            CUSTOM_ITEM_HISTORY_PERIOD = 2;

    public class host {

        public static final int
                HOST_STATUS_MONITORED = 0,
                HOST_STATUS_NOT_MONITORED = 1,
                HOST_STATUS_TEMPLATE = 3,
                HOST_STATUS_PROXY_ACTIVE = 5,
                HOST_STATUS_PROXY_PASSIVE = 6;

        public static final int
                ZBX_FLAG_DISCOVERY_NORMAL = 0,
                ZBX_FLAG_DISCOVERY_RULE = 1,
                ZBX_FLAG_DISCOVERY_PROTOTYPE = 2,
                ZBX_FLAG_DISCOVERY_CREATED = 4;


        public static final int
                ZBX_MACRO_TYPE_TEXT = 0, // (default) 文本宏    Display macro value as text.
                ZBX_MACRO_TYPE_SECRET = 1, // 密文宏 Display masked macro value.
                ZBX_MACRO_TYPE_VAULT = 2; // 密钥宏 Display macro value as text (path to secret in Vault).


        public static final int
                VALUEMAP_MAPPING_TYPE_EQUAL = 0, // 默认-精确匹配
                VALUEMAP_MAPPING_TYPE_GREATER_EQUAL = 1,  //  大于等于
                VALUEMAP_MAPPING_TYPE_LESS_EQUAL = 2,  //  小于等于
                VALUEMAP_MAPPING_TYPE_IN_RANGE = 3,  //  在范围内
                VALUEMAP_MAPPING_TYPE_REGEXP = 4,  //  正则表达式
                VALUEMAP_MAPPING_TYPE_DEFAULT = 5;  //  默认值

        public static final int
                SERVICE_STATUS_OK = 0,
                SERVICE_STATUS_PROBLEM = 1;

        public static final int
                HOST_GROUP_TYPE_HOST_GROUP = 0,
                HOST_GROUP_TYPE_TEMPLATE_GROUP = 1;

        public static final int
                GROUP_STATUS_ENABLED = 0,
                GROUP_STATUS_DISABLED = 1;

        public static final int
                INTERFACE_USE_DNS = 0,
                INTERFACE_USE_IP = 1;

        public static final int
                INTERFACE_SECONDARY = 0,
                INTERFACE_PRIMARY = 1;

        public static final int
                INTERFACE_AVAILABLE_UNKNOWN = 0,
                INTERFACE_AVAILABLE_TRUE = 1,
                INTERFACE_AVAILABLE_FALSE = 2,
                INTERFACE_AVAILABLE_MIXED = 3;

        public static final int
                INTERFACE_TYPE_OPT = -2,
                INTERFACE_TYPE_ANY = -1,
                INTERFACE_TYPE_UNKNOWN = 0,
                INTERFACE_TYPE_AGENT = 1,
                INTERFACE_TYPE_SNMP = 2,
                INTERFACE_TYPE_IPMI = 3,
                INTERFACE_TYPE_JMX = 4,
                INTERFACE_TYPE_AGENT_ACTIVE = 5;

    }

    public static class item {

        public static final int
                ITEM_VALUE_TYPE_FLOAT = 0,
                ITEM_VALUE_TYPE_STR = 1, // aka Character
                ITEM_VALUE_TYPE_LOG = 2,
                ITEM_VALUE_TYPE_UINT64 = 3,
                ITEM_VALUE_TYPE_TEXT = 4;

        public static String value_type(String num) {
            switch (num) {
                case "0":
                    return "浮点型";
                case "1":
                    return "字符";
                case "2":
                    return "日志";
                case "3":
                    return "数字（无正负）";
                case "4":
                    return "文本";
                default:
                    return "";
            }
        }

        public static String table_name(int num) {
            switch (num) {
                case 0:
                    return "history";
                case 1:
                    return "history_str";
                case 2:
                    return "history_log";
                case 3:
                    return "history_uint";
                case 4:
                    return "history_text";
                default:
                    return "history";
            }
        }

        public static final int
                ITEM_TYPE_ZABBIX = 0,
                ITEM_TYPE_SNMPV1 = 1, // Deprecated. Now only used in XML converters. Use ITEM_TYPE_SNMP instead.
                ITEM_TYPE_TRAPPER = 2,
                ITEM_TYPE_SIMPLE = 3,
                ITEM_TYPE_SNMPV2C = 4, // Deprecated. Now only used in XML converters. Use ITEM_TYPE_SNMP instead.
                ITEM_TYPE_INTERNAL = 5,
                ITEM_TYPE_SNMPV3 = 6, // Deprecated. Now only used in XML converters. Use ITEM_TYPE_SNMP instead.
                ITEM_TYPE_ZABBIX_ACTIVE = 7,
                ITEM_TYPE_AGGREGATE = 8, // Deprecated. Now only used in XML converters. Use ITEM_TYPE_CALCULATED instead.
                ITEM_TYPE_HTTPTEST = 9,
                ITEM_TYPE_EXTERNAL = 10,
                ITEM_TYPE_DB_MONITOR = 11,
                ITEM_TYPE_IPMI = 12,
                ITEM_TYPE_SSH = 13,
                ITEM_TYPE_TELNET = 14,
                ITEM_TYPE_CALCULATED = 15,
                ITEM_TYPE_JMX = 16,
                ITEM_TYPE_SNMPTRAP = 17,
                ITEM_TYPE_DEPENDENT = 18,
                ITEM_TYPE_HTTPAGENT = 19,
                ITEM_TYPE_SNMP = 20,
                ITEM_TYPE_SCRIPT = 21;


        public static final int
                ITEM_STATUS_ACTIVE = 0,
                ITEM_STATUS_DISABLED = 1,
                ITEM_STATUS_NOTSUPPORTED = 3;


        public static final int
                ZBX_PREPROC_MULTIPLIER = 1,
                ZBX_PREPROC_RTRIM = 2,
                ZBX_PREPROC_LTRIM = 3,
                ZBX_PREPROC_TRIM = 4,
                ZBX_PREPROC_REGSUB = 5,
                ZBX_PREPROC_BOOL2DEC = 6,
                ZBX_PREPROC_OCT2DEC = 7,
                ZBX_PREPROC_HEX2DEC = 8,
                ZBX_PREPROC_DELTA_VALUE = 9,
                ZBX_PREPROC_DELTA_SPEED = 10,
                ZBX_PREPROC_XPATH = 11,
                ZBX_PREPROC_JSONPATH = 12,
                ZBX_PREPROC_VALIDATE_RANGE = 13,
                ZBX_PREPROC_VALIDATE_REGEX = 14,
                ZBX_PREPROC_VALIDATE_NOT_REGEX = 15,
                ZBX_PREPROC_ERROR_FIELD_JSON = 16,
                ZBX_PREPROC_ERROR_FIELD_XML = 17,
                ZBX_PREPROC_ERROR_FIELD_REGEX = 18,
                ZBX_PREPROC_THROTTLE_VALUE = 19,
                ZBX_PREPROC_THROTTLE_TIMED_VALUE = 20,
                ZBX_PREPROC_SCRIPT = 21,
                ZBX_PREPROC_PROMETHEUS_PATTERN = 22,
                ZBX_PREPROC_PROMETHEUS_TO_JSON = 23,
                ZBX_PREPROC_CSV_TO_JSON = 24,
                ZBX_PREPROC_STR_REPLACE = 25,
                ZBX_PREPROC_VALIDATE_NOT_SUPPORTED = 26,
                ZBX_PREPROC_XML_TO_JSON = 27,
                ZBX_PREPROC_SNMP_WALK_VALUE = 28,
                ZBX_PREPROC_SNMP_WALK_TO_JSON = 29;


        public static final int
                ZBX_PREPROC_FAIL_DEFAULT = 0,
                ZBX_PREPROC_FAIL_DISCARD_VALUE = 1,
                ZBX_PREPROC_FAIL_SET_VALUE = 2,
                ZBX_PREPROC_FAIL_SET_ERROR = 3;

        public static final int
                ZBX_PREPROC_CSV_NO_HEADER = 0,
                ZBX_PREPROC_CSV_HEADER = 1;

        public static final String
                ZBX_PREPROC_PROMETHEUS_VALUE = "value",
                ZBX_PREPROC_PROMETHEUS_LABEL = "label",
                ZBX_PREPROC_PROMETHEUS_FUNCTION = "function";

        public static final String
                ZBX_PREPROC_PROMETHEUS_SUM = "sum",
                ZBX_PREPROC_PROMETHEUS_MIN = "min",
                ZBX_PREPROC_PROMETHEUS_MAX = "max",
                ZBX_PREPROC_PROMETHEUS_AVG = "avg",
                ZBX_PREPROC_PROMETHEUS_COUNT = "count";

        public static final int
                ZBX_PREPROC_SNMP_UNCHANGED = 0,
                ZBX_PREPROC_SNMP_UTF8_FROM_HEX = 1,
                ZBX_PREPROC_SNMP_MAC_FROM_HEX = 2,
                ZBX_PREPROC_SNMP_INT_FROM_BITS = 3;

    }

    public class Trigger {

        public static final int
                TRIGGER_STATUS_ENABLED = 0,
                TRIGGER_STATUS_DISABLED = 1;

        public static final int
                TRIGGER_DISCOVER = 0,
                TRIGGER_NO_DISCOVER = 1;

        public static final int
                TRIGGER_VALUE_FALSE = 0,
                TRIGGER_VALUE_TRUE = 1;

        public static final int
                TRIGGER_STATE_NORMAL = 0,
                TRIGGER_STATE_UNKNOWN = 1;

    }

    public class Event {
        public static final int
                EVENT_SOURCE_TRIGGERS = 0,
                EVENT_SOURCE_DISCOVERY = 1,
                EVENT_SOURCE_AUTOREGISTRATION = 2,
                EVENT_SOURCE_INTERNAL = 3,
                EVENT_SOURCE_SERVICE = 4;

        public static final int
                EVENT_OBJECT_TRIGGER = 0,
                EVENT_OBJECT_DHOST = 1,
                EVENT_OBJECT_DSERVICE = 2,
                EVENT_OBJECT_AUTOREGHOST = 3,
                EVENT_OBJECT_ITEM = 4,
                EVENT_OBJECT_LLDRULE = 5,
                EVENT_OBJECT_SERVICE = 6;

    }

    public class Graph {

        public static final int
                GRAPH_AGGREGATE_BY_ITEM = 0,
                GRAPH_AGGREGATE_BY_DATASET = 1;

        public static final int
                GRAPH_YAXIS_TYPE_CALCULATED = 0,
                GRAPH_YAXIS_TYPE_FIXED = 1,
                GRAPH_YAXIS_TYPE_ITEM_VALUE = 2;

        public static final int GRAPH_YAXIS_SIDE_LEFT = 0,
                GRAPH_YAXIS_SIDE_RIGHT = 1,
                GRAPH_YAXIS_SIDE_BOTTOM = 2;

        public static final int
                GRAPH_ITEM_SIMPLE = 0,
                GRAPH_ITEM_SUM = 2;

        public static final int
                GRAPH_TYPE_NORMAL = 0,
                GRAPH_TYPE_STACKED = 1,
                GRAPH_TYPE_PIE = 2,
                GRAPH_TYPE_EXPLODED = 3,
                GRAPH_TYPE_3D = 4,
                GRAPH_TYPE_3D_EXPLODED = 5,
                GRAPH_TYPE_BAR = 6,
                GRAPH_TYPE_COLUMN = 7,
                GRAPH_TYPE_BAR_STACKED = 8,
                GRAPH_TYPE_COLUMN_STACKED = 9;
    }


    public class User {

        public static final int
                USER_TYPE_ZABBIX_USER = 1,
                USER_TYPE_ZABBIX_ADMIN = 2,
                USER_TYPE_SUPER_ADMIN = 3;

        public static final int
                GROUP_STATUS_ENABLED = 0,
                GROUP_STATUS_DISABLED = 1;

        public static final int
                ZBX_SESSION_ACTIVE = 0,
                ZBX_SESSION_PASSIVE = 1;

        public static final int
                PERM_READ_WRITE = 3,
                PERM_READ = 2,
                PERM_DENY = 0,
                PERM_NONE = -1;

        public static final int
                MEDIA_STATUS_ACTIVE = 0,
                MEDIA_STATUS_DISABLED = 1;

        public static final int
                MEDIA_TYPE_EMAIL = 0,
                MEDIA_TYPE_EXEC = 1,
                MEDIA_TYPE_SMS = 2,
                MEDIA_TYPE_WEBHOOK = 4;
    }
}
