package com.zh.test_zabbix.controller;


import com.zh.test_zabbix.service.IGraphsService;
import com.zh.test_zabbix.serviceImpl.GraphsServiceImpl;
import com.zh.test_zabbix.utils.result.Result;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

/**
 * <p>
 *  前端控制器
 * </p>
 *
 * @author zh
 * @since 2023-11-13
 */
@RestController
@RequestMapping("/graphs")
public class Graphs {
    @Autowired
    private IGraphsService graphsService;

    @RequestMapping("/get")
    public Result get(@RequestBody GraphsServiceImpl.ArgGet args) {
        return graphsService.get(args);
    }

    @RequestMapping("/detail")
    public Result detail(@RequestBody GraphsServiceImpl.ArgDetail args) {
        return graphsService.detail(args);
    }
}
