package com.zh.test_zabbix.controller;

import com.zh.test_zabbix.service.IHostsGroupsService;
import com.zh.test_zabbix.serviceImpl.HostsGroupsServiceImpl;
import com.zh.test_zabbix.utils.result.Result;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

/**
 * <p>
 *  前端控制器
 * </p>
 *
 * @author zh
 * @since 2023-11-14
 */
@RestController
@RequestMapping("/hostGroup")
public class HostsGroups {

    @Autowired
    private IHostsGroupsService hostsGroupsService;

    @RequestMapping("/get")
    public Result get(@RequestBody HostsGroupsServiceImpl.ArgGet args) {
        return hostsGroupsService.get(args);
    }

    @RequestMapping("/create")
    public Result create(@RequestBody HostsGroupsServiceImpl.ArgCreate args) {
        return hostsGroupsService.create(args);
    }

    @RequestMapping("/delete")
    public Result delete(@RequestBody HostsGroupsServiceImpl.ArgDelete args) {
        return hostsGroupsService.delete(args);
    }

    @RequestMapping("/update")
    public Result update(@RequestBody HostsGroupsServiceImpl.ArgUpdate args) {
        return hostsGroupsService.update(args);
    }

}
