package com.zh.test_zabbix.controller;


import com.alibaba.fastjson.JSONObject;
import com.zh.test_zabbix.utils.ZabbixApi;
import lombok.Data;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

@RestController
@RequestMapping("/user")
public class Login_ {

    @Data
    static class argLogin{
        String username;
        String password;
    }

    @RequestMapping("/login")
    public JSONObject login(@RequestBody argLogin arg){
        JSONObject params = new JSONObject();
        params.put("username",arg.getUsername());
        params.put("password",arg.getPassword());
        JSONObject result = ZabbixApi.login(params);
        return result;
    }

}
