package com.zh.test_zabbix.controller;


import com.zh.test_zabbix.service.IMsCustomItemsService;
import com.zh.test_zabbix.serviceImpl.MsCustomItemsServiceImpl;
import com.zh.test_zabbix.utils.result.Result;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.validation.annotation.Validated;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

/**
 * <p>
 *  前端控制器
 * </p>
 *
 * @author zh
 * @since 2023-11-14
 */
@RestController
@RequestMapping("/ms/items")
public class MsCustomItems {
    @Autowired
    private IMsCustomItemsService customItemsService;

    @RequestMapping("/info")
    public Result info(@Validated @RequestBody MsCustomItemsServiceImpl.argInfo args) {
        return customItemsService.info(args);
    }
}
