package com.zh.test_zabbix.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.zh.test_zabbix.model.Valuemap;
import org.apache.ibatis.annotations.Param;
import org.apache.ibatis.annotations.Select;

import java.util.ArrayList;

public interface ValuemapMapper extends BaseMapper<Valuemap> {

    @Select("<script> " +
            "INSERT INTO valuemap (valuemapid,name,hostid,uuid) VALUES " +
            "<foreach collection='valuemaps' item='item'  separator=',' >" +
            "(#{item.valuemapid},#{item.name},#{item.hostid},#{item.uuid})" +
            "</foreach>" +
            "</script> ")
    Boolean save(@Param("valuemaps") ArrayList<Valuemap> valuemaps);

}
