package com.zh.test_zabbix.model;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * <p>
 *
 * </p>
 *
 * @author zh
 * @since 2023-10-13
 */
@Data
@EqualsAndHashCode(callSuper = true)
@Accessors(chain = true)
public class Items extends Model {

    private static final long serialVersionUID = 1L;

    private Long itemid;

    private Integer type;

    private String snmp_oid;

    private Long hostid;

    private String name;

    private String key_;

    private String delay;

    private String history;

    private String trends;

    private Integer status;

    private Integer value_type;

    private String trapper_hosts;

    private String units;

    private String formula;

    private String logtimefmt;

    private Long templateid;

    @TableField(exist = false)
    String template;

    private Long valuemapid;

    private String params;

    private String ipmi_sensor;

    private Integer authtype;

    private String username;

    private String password;

    private String publickey;

    private String privatekey;

    private Integer flags;

    private Long interfaceid;

    private String description;

    private Integer inventory_link;

    private String lifetime;

    private Integer evaltype;

    private String jmx_endpoint;

    private Long master_itemid;

    @TableField(exist = false)
    String master_item;

    @TableField(exist = false)
    Integer master_item_flags;

    private String timeout;

    private String url;

    private String query_fields;

    private String posts;

    private String status_codes;

    private Integer follow_redirects;

    private Integer post_type;

    private String http_proxy;

    private String headers;

    private Integer retrieve_mode;

    private Integer request_method;

    private Integer output_format;

    private String ssl_cert_file;

    private String ssl_key_file;

    private String ssl_key_password;

    private Integer verify_peer;

    private Integer verify_host;

    private Integer allow_traps;

    private Integer discover;

    private String uuid;

    private String name_upper;

    @TableField(exist = false)
    private Object tags;

    @TableField(exist = false)
    private Object valuemaps;

    @TableField(exist = false)
    private Object preprocessing;

    @TableField(exist = false)
    private Object lld_macro_paths;
}
