package com.zh.test_zabbix.model;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * <p>
 * 
 * </p>
 *
 * @author zh
 * @since 2023-10-26
 */
@Data
@EqualsAndHashCode(callSuper = true)
@Accessors(chain = true)
public class Triggers extends Model {

    private static final long serialVersionUID = 1L;

    private Long triggerid;

    private String expression;

    @TableField(exist = false)
    private String expression_html;

    private String description;

    private String url;

    private Integer status;

    private Integer value;

    private Integer priority;

    private Integer lastchange;

    private String comments;

    private String error;

    private Long templateid;

    private Integer type;

    private Integer state;

    private Integer flags;

    private Integer recovery_mode;

    private String recovery_expression;

    private Integer correlation_mode;

    private String correlation_tag;

    private Integer manual_close;

    private String opdata;

    private Integer discover;

    private String event_name;

    private String uuid;

    private String url_name;

    @TableField(exist = false)
    private Object tags;

}
