package com.zh.test_zabbix.model.zabbixModel.macro;


import lombok.Data;

@Data
public class ApiHostMacro {

    /* 	(只读) 主机宏ID. */
    String hostmacroid;

    /* 	宏所属主机的主机ID. */
    String hostid;

    /* 	(必需)宏字符串. */
    String macro;

    /* (必需)宏的值. */
    String value;

    /* 宏的类型.
    可接受的值:
    0 - (default) 文本宏;
    1 - 密文宏;
    2 - 密钥宏. */
    int type =0;

    /* 宏描述信息. */
    String description;
}
