package com.zh.test_zabbix.service;

import com.alibaba.fastjson.JSONObject;
import com.baomidou.mybatisplus.extension.service.IService;
import com.zh.test_zabbix.model.Graphs;
import com.zh.test_zabbix.serviceImpl.GraphsServiceImpl;
import com.zh.test_zabbix.utils.result.Result;

/**
 * <p>
 *  服务类
 * </p>
 *
 * @author zh
 * @since 2023-11-13
 */
public interface IGraphsService extends IService<Graphs> {

    Result<JSONObject> get(GraphsServiceImpl.ArgGet args);

    Result<JSONObject> detail(GraphsServiceImpl.ArgDetail args);

}
