package com.zh.test_zabbix.service;

import com.alibaba.fastjson.JSONObject;
import com.baomidou.mybatisplus.extension.service.IService;
import com.zh.test_zabbix.model.Hosts;
import com.zh.test_zabbix.serviceImpl.HostsServiceImpl;
import com.zh.test_zabbix.utils.result.Result;

import java.util.ArrayList;

/**
 * <p>
 *  服务类
 * </p>
 *
 * @author zh
 * @since 2023-10-16
 */
public interface IHostsService extends IService<Hosts> {
    Result<JSONObject> get(HostsServiceImpl.ArgGet args);

    Result<JSONObject> detail(HostsServiceImpl.ArgDetail args);

    Result<JSONObject> detail_count(HostsServiceImpl.ArgDetail args);

    Result<JSONObject> create(HostsServiceImpl.ArgCreate args);

    Result<JSONObject> delete(HostsServiceImpl.ArgDelete args);

    Result<JSONObject> update(HostsServiceImpl.ArgUpdate args);

    Result<JSONObject> collectionList();

    Result<ArrayList<JSONObject>> count(HostsServiceImpl.ArgCount args);

    Result<JSONObject> valuemapList(HostsServiceImpl.ArgValuemapGet args);

    Result<JSONObject> valuemapCreate(HostsServiceImpl.ArgValuemapCreate args);

    Result<JSONObject> fastAdd(HostsServiceImpl.ArgFastAdd args);

    Result agentInstall(HostsServiceImpl.ArgAgentInstall args);
}
